11

The biblatex release notes recommend to setup backend=biber in biblatex.cfg, however LaTeX refuses to accept this text in biblatex.cfg:

\ProvidesFile{biblatex.cfg}
\usepackage[backend=biber]{biblatex}
\endinput

LaTeX says, "The package biblatex has already been loaded with options..."

How to set up backend parameter in here properly?

11

Load biblatex in your main document using \usepackage[<options>]{biblatex}. Your configuration file biblatex.cfg should look as follows:

\ProvidesFile{biblatex.cfg}
\ExecuteBibliographyOptions{backend=biber}
\endinput

UPDATE: As Jonathan has hinted, with biblatex v2.0 (released July 2012) backend has become a loadtime option, so it is not possible anymore to select the backend engine (biber, BibTeX etc.) via \ExecuteBibliographyOptions. Also note that biber (not BibTeX) is now the default backend.

  • You beat me by two minutes. :) – egreg Sep 1 '11 at 11:28
  • @egreg: I know that feeling. ;-) – lockstep Sep 1 '11 at 11:28
  • Unfortunately it doesn't work anymore! At least in v2.2 backend is a loadtime option, so this produces an error. – Jonathan Aug 23 '12 at 9:46

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.